Subject: Di�etah's Homepage

From: "Lawrence F. London, Jr." <[email-masked]>
Date: Wed, 12 Feb 1997 22:28:51 -0500

http://www.geocities.com/RainForest/5292/

-- 
Lawrence F. London, Jr. - Venaura Farm - Chapel Hill, NC, USA
mailto:[email-masked]  http://sunSITE.unc.edu/InterGarden
mailto:[email-masked]  http:nuteknet.com/london  Venaura Farm
Dinetah's Home Page

I welcome you !

Statement of Purpose:

It is my desire to provide in this page; and it's associated links, a resource that is useful to the Native American community, and to those persons interested in activities surrounding the Native American community and indigenous peoples worldwide. I do this as a service, from my heart, and would be very interested in your opinions and suggestions on what I could do to make this page better, and more usefull to you, the browser. You are my guest on this page, I welcome you. Please, if you experience any problems or have any suggestions for improvement E-mail me at the address located below. I have also included a guestbook below for your comments.
Enjoy your stay!

What about the RainForest, and ecology and all of that?

As space and time become available I can branch out and offer more than I can now. Check back to find files on Native Medicine, and endangered Sacred Sites and action alerts for ecological sites around the world. I also plan to offer a much larger storyteller's circle than the one online now.
At the StoryTeller's Circle , you can pull up a log, have a sit and listen to a stories
and legends from the sacred homelands.

Right now, I am still sitting up the Teepee, and moving in some stones for the camp.

Aho' Diñetah'

Things to Do here in Camp

"Wander through the Comanche Village" to learn more about the Comanche.
"An Old Man's stories around the Campfire"
"Tales from the Story Blanket Weaver" (In progress)
"Stroll over and watch the Pow-Wow" (Warning: Contains large images and sound.)
Pathways leading onward in your quest.

" Go to the Intertribal Council of Houston's (ITCH) Home Page"
" Find a Pow-Wow or other NA event"
" Find Other Tribal and InterTribal Internet Sites"
" Find a list of Native American Art & Crafts Vendors"
" Find a list of Native American E-Mail Conferences"
" Find a list of Native American Schools and Educational Sites
" Find links to pages on Herbology and plant medicines.
" Visit the pages of my Net Friends " <=== Select this button to find more about the author.

I would like to know what you think of this page. Please E-Mail me with any comments or suggestions.
My E-Mail address is [email-masked]

Comments and suggestions are also welcome in my guestbook:

Sign my Guestbook

View my Guestbook

Did you know this page has been visited ; times since December 15, 1996. Thanks!

Please visit again, and tell your friends to come by. Thank you!

People who know me, know that I hate advertising, but here I can tell you about a product that is free.
So it's not like I'm selling you anything, Here's the scoop, the same people who gave me free space for my home page are willing give you some free space too. It's the same deal that I got.. Click on the flashing icon below to find out all about their free home pages and other stuff. The price is right.